Subject: Re: bug#37976: 27.0.50; Dependency reversal of seq-subseq and cl-subseq causes regression when using seq from ELPA

From: Stefan Monnier <[email-masked]>
Date: Fri, 15 Nov 2019 14:56:08 -0500

> SM> It does look like the problem is on NixOS's side, indeed.
> I can confirm that stubbing this in Nix based on the Emacs version fixes the
> problem for me:
>
>     seq = if super.emacs.version == "27.0"
>       then mkDerivation rec {
>         name = "seq-stub";
>         version = "stub";
>         src = ./.;
>         phases = [ "installPhase" ];
>         installPhase = ''
>           mkdir $out
>           touch $out/.empty
>         '';
>       }
>       else super.seq;
>
> We'll have to ask the maintainers of the Emacs portion of nixpkgs to do
> something similar on their side.

I don't think they need to do something special for Emacs≥27, instead
they should install those packages without touching load-path but
instead making sure package.el sees those installed packages so *it* can
activate those packages properly (adding them to `load-path` and loading
their <pkg>-autoloads.el files, all while obeying `package-load-list`).

I'd be surprised if their system doesn't introduce bugs in
Emacs<27 already.

        Stefan